EET Installation Error

edited August 2018 in Install Tool Help

Since 2.5 released, I've tried starting a mod installation a few times this afternoon and evening with no success.  Moved original folders out of steamapps hoping that would fix it, but getting the exact same error.  The relevant part from the log:
"Installing 2DA files...
Copying and patching 1 file ...
ERROR: error loading [EET/temp/2da/BPENDA.2DA]
Stopping installation because of error.

ERROR Installing [EET core - resource importation], rolling back to previous state
Will uninstall 2776 files for [EET/EET.TP2] component 0.
Uninstalled    2776 files for [EET/EET.TP2] component 0.
ERROR: Unix.Unix_error(20, "stat", "EET/temp/2da/BPENDA.2DA")
PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
Automatically Skipping [EET core - resource importation] because of error.
Using Language [English]
[.\lang\en_us\dialog.tlk] created, 304891 string entries

NOT INSTALLED DUE TO ERRORS EET core - resource importation

'D:\Baldur's Gate II Enhanced Edition>
ERROR: error loading [EET/temp/2da/BPENDA.2DA]
ERROR: Unix.Unix_error(20, "stat", "EET/temp/2da/BPENDA.2DA")
Enhanced Edition Trilogy (Enhanced Edition Trilogy) was not installed due to errors."

Any help appreciated.

Comments

  • I've done many, many installs using both tools. This is a new error when BWS is installing EET

    Could not find block matching .../oBG4300.baf in BG4300.bcs (not a problem, some mod probably fixed it before)
    Copying and patching 1 file ...
    Copying and patching 1 file ...
    ERROR: [Baldur.exe] -> [Baldur.exe] Patching Failed (COPY) (Out of memory)
    Stopping installation because of error.

    ERROR Installing [EET core - resource importation], rolling back to previous state
    Will uninstall 15912 files for [EET/EET.TP2] component 0.
    Uninstalled    15912 files for [EET/EET.TP2] component 0.
    ERROR: Out of memory
    PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
    Automatically Skipping [EET core - resource importation] because of error.
    Using Language [English]

    FATAL ERROR: Out of memory
  • edited June 2018
    It is not really a new error because this has appeared with older versions of EET in the past. The issue was supposed to be fixed with the current EET version 1.0 RC9.2

    Yours is the first report about this since more than 10 months with that recent version.

    So, to confirm
    - you use that version of EET?
    - you use BWS or BWS-EE?
    - you are not yet using the 2.5 patch of the game?
  • 1. whatever gets downloaded automatically
    2. BWS-EE
    3. Nope, still on the prior version
  • 1. whatever gets downloaded automatically
    2. BWS-EE
    3. Nope, still on the prior version
    Did you try to close some memory consuming programs that may run on your PC in the background? The PC may really be out of memory in the configuration you are running.

    There are some tutorials about how you can increase the memory assigned to Weidu, but those are depending on your hardware/software configuration in use.
  • Only thing running was the tool and Chrome. I had successfully done an install about 3 days prior without the error, so was shocked when that came up. This was also after a computer reboot just in case my 16g was full.
  • edited June 2018
    It may just be the occasional problem of running Weidu on 64bit windows. Weidu has some file limits of how many files it can open, and as a 32-bit process it is limited to 2 GB of memory. EET was changed to use lua to avoid it, but even now with SCS the issue still randomly occurs..

    A Weidu 64-bit version to fix this is not in sight, (nor to patch the 32-bit to allow it to use 4 GB of RAM, even if you have it).

    You can try for your next install to let the tool download Weidu and all the mods, but then stop it. Then apply the 4 GB patch to Weidu. http://www.ntcore.com/4gb_patch.php
    described here.

    You may need to ignore some warnings you get. I cannot provide more detail since I have not used this technology myself (Knock on wood, I never ran into the issue not even with my usually very large EET installations).

    Since you did a successful installation before and none of the programs have changed, the issue cannot be directly be assigned to anything else but weidu, the bottleneck.
  • So did a full reinstall. Only change this time was redownloading the EET archives. Installed fine. So just a one off odd ball error I suppose
  • A weidu64 version is now available.

    Thanks to Argent77, this can now be automatically applied if a 64bit window OS is detected.

    Hopefully this improvement helps with problems like those above as well.
  • Argent77 is my silent hero. He makes no fuss about all the really great contribution he makes.
    Hats off to him once again!
  • I second that.

    Without (his versions of) Near Infinity I may not have started modding at all.
    He helped me time and time again when I was stuck in technical problems with my mods.
  • edited August 2018

    Mazuo said:
    Since 2.5 released, I've tried starting a mod installation a few times this afternoon and evening with no success.  Moved original folders out of steamapps hoping that would fix it, but getting the exact same error.  The relevant part from the log:

    "Installing 2DA files...
    Copying and patching 1 file ...
    ERROR: error loading [EET/temp/2da/BPENDA.2DA]
    Stopping installation because of error.

    ERROR Installing [EET core - resource importation], rolling back to previous state
    Will uninstall 2776 files for [EET/EET.TP2] component 0.
    Uninstalled    2776 files for [EET/EET.TP2] component 0.
    ERROR: Unix.Unix_error(20, "stat", "EET/temp/2da/BPENDA.2DA")
    PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
    Automatically Skipping [EET core - resource importation] because of error.
    Using Language [English]
    [.\lang\en_us\dialog.tlk] created, 304891 string entries

    NOT INSTALLED DUE TO ERRORS EET core - resource importation

    'D:\Baldur's Gate II Enhanced Edition>
    ERROR: error loading [EET/temp/2da/BPENDA.2DA]
    ERROR: Unix.Unix_error(20, "stat", "EET/temp/2da/BPENDA.2DA")
    Enhanced Edition Trilogy (Enhanced Edition Trilogy) was not installed due to errors."

    Any help appreciated.



    Do this:
    Extract the attached files into the folder BGEE/override >>>in the directory that has your BGEE/SoD game
    Then retry EET

    PS - I discussed this issue with K4thos, the creator of EET. It is only an interim issue and will be solved by updating your BGEE/SoD to v2.5. Those resources are among the changes that come with that version.
  • edited August 2018
    That certainly fixed that part, unfortunately I hit another snag later on with SCS it seems.

    "Installing [Initialise mod (all other components require this)] [v30]
    Creating 1 directory

    Reading in data: spellcodes

    ERROR Installing [Initialise mod (all other components require this)], rolling back to previous state
    Will uninstall   2 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 1000.
    Uninstalled      2 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 1000.
    ERROR: Not_found
    Detailed error information can be found in the file SETUP-STRATAGEMS.DEBUG . For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.
    Automatically Skipping [Initialise mod (all other components require this)] because of error.
    Using Language [English]

    NOT INSTALLED DUE TO ERRORS Initialise mod (all other components require this)

    'D:\Baldur's Gate II Enhanced Edition>
    ERROR: cannot convert level or %level% to an integer
    ERROR: [spell.ids] -> [override] Patching Failed (COPY) (Not_found)
    ERROR: Not_found
    Initialise mod (all other components require this) (Sword Coast Stratagems) was not installed due to errors."

    Perhaps I should just wait until that SCS v32 I think I read about?  Or maybe it needs Revised SCS since I'm using Spell Revisions?  That's probably it I suppose but last link in the G3 thread is leading to a 404 for me.  For now I'll skip it and see if the install can complete otherwise.  If you know what this is about, your info would be more useful than my guesses.

    Edit:  Further on other mods seem to be having similar errors with converting something to an integer.  Not all, but enough that it's pretty common and showing SCS' failure wasn't unique.
  • I just did a successful installation with SCS v31 (not32...the one you used was 30 still) and Spell Revision. All of it on basis of the games patched to v2.5.

    So either use SCS v31 and above patch
    OR
    better wait until your BGEE/SoD has updated to v2.5 to avoid any further issues.

    The EE Install Tool is now supporting the new versions and correct install orders and I have made several test including a variety of mods. It works well.
  • edited August 2018
    My games are updated to 2.5.  I'm using the tool and maybe it found an old copy of SCS or something, not sure why it used v30.  When this attempt finishes I'll try to clean out any old mods and let it download new copies to avoid that hopefully.

    Thanks for the help, I'll update if I get it working or hit a consistent error again.
  • edited August 2018

    Mazuo said:
    My games are updated to 2.5.  I'm using the tool and maybe it found an old copy of SCS or something, not sure why it used v30.  When this attempt finishes I'll try to clean out any old mods and let it download new copies to avoid that hopefully.

    Thanks for the help, I'll update if I get it working or hit a consistent error again.
    Maybe it was just bad timing, I made the change from SCS30 to the new 31 version a few hours ago and you might have done the download before that change.
    Everything should be smooth by now.

    These days are quite busy with updates, as the game itself is updated and the EET and SCS (biggest mod of them all). I have a number of tests running in parallel but I confess there has not been much time right now to see any of it really in game for a longer play sequence.

    (Even with install optimization for SCS it still takes a few hours to run larger EET installations that provide meaningful results...patience is required.)

  • Mazuo said:
    My games are updated to 2.5.  I'm using the tool and maybe it found an old copy of SCS or something, not sure why it used v30.  When this attempt finishes I'll try to clean out any old mods and let it download new copies to avoid that hopefully.

    Thanks for the help, I'll update if I get it working or hit a consistent error again.
    Look here http://baldursextendedworld.com/Vanilla_Forums/discussion/89/error-installing-scs
  • Well, it took a lot of time as usual, but thought I'd report back with results.  The tool using the newer version of SCS worked almost flawlessly.  One component 'Smarter Abazigal' failed, but that was it.

    The rest of the failures were:

    Sensible Entrance Points from Tweaks Anthology - "ERROR locating resource for 'COPY' Resource [AR3300.are] not found in KEY file: [./chitin.key]"

    Shadow Magic - "ERROR: Not_found"

    The Feat System from Might and Guile - "ERROR: cannot convert al_code or %al_code% to an integer
    ERROR: [might_and_guile/feats/d5_rfc1.spl] -> [override] Patching Failed (COPY) (Not_found)
    ERROR: Not_found"

    I have the log files if any of their errors are of interest, but otherwise the only other one I should mention was Tome and Blood as I'm pretty sure I know what's wrong with it.  The installer is using 0.7 when 0.8 has been released which addresses the error when installing.
  • edited August 2018
    Thanks for the details.
    Sensible entrance points never worked for me even if installed (It cannot find ar3300 in EET anyway because the area reference is different in EET...)
    >>> removed the component from EET selection, only for BGEE

    Shadow magic >>> you should be able to install the mod just on top of your game manually, https://github.com/ArtemiusI/Shadow-Magic/archive/master.zip

    Tome and Blood >>>I have changed the link to grab now the latest github release even if the officially announced one is still 0.72 from another author. The mod is very dynamic...
Sign In or Register to comment.